PCI_MAP_ROM(9)

NAME
pci_map_rom - map a PCI ROM to kernel space

SYNOPSIS

void __iomem * pci_map_rom(struct pci_dev * pdev, size_t * size);

ARGUMENTS

pdev
    pointer to pci device struct

size
    pointer to receive size of pci window over ROM

RETURN

kernel virtual pointer to image of ROM

Map a PCI ROM into kernel space. If ROM is boot video ROM, the shadow BIOS copy will be returned instead of the actual ROM.

COPYRIGHT